===============
 PRADS ROADMAP
===============

Features as of version 0.2.6
 - parse pcaps/realtime with BPF
 - TCP SYN/SYNACK/StrayACK/RST/FIN
 - mac sig matching
 - ICMP (rudimentary)
 - UDP (rudimentary)
 - connection tracking
 - tos, mtu
 - vlan support
 - logfile output
 - sguil/fifo output
 - network filtering
 - arp discovery
 - ANSI + libpcap/pcre, runs on
   * BSD
   * OSX (with fink)
   * Linux ia32 and amd64, mipsel
   * any platform where dependencies compile!
 - reload config on the fly [ limited ]
 - installable via .debs

Features in prads.pl missing as yet in C:
 - database injector (SQLite,ODBC,..)
 - UDP fingerprinting
 - ICMP fingerprinting
 - ??? 

Features wanted in 2011 the year of the Rabbit.
 - [v] cxtracker output.
 - [v] sguil output fifo
 - scripting with lua
 - shared memory log
 - plugin API
 - [v] MAC,ARP,DNS
 - mDNS,passiveDNS,DHCP
 - RPM packages
 - push into Debian archive
 - switch and router discovery (OSPF, RIP, STP etc)
 - useragent/etc OS matching
 - asset datastructure that can track changes..
 - graphical mapping output (a la squert/snoGE)
 - realtime dynamic mapping...
 - ARP timing (conntrack + timing fingerprints)
 - SIMD, OpenCL and CUDA optimizations
 - use PF_RING or other capture library
 - filter generic signatures
 - fuzzy matches

What follows is a rudimentary release plan. Releases are made "when it's ready"
and may include other features, fixes,
furthermore, features may come in a different order, but these are our priorities:

Point release 0.3.0
 - MAC lookup
 - cxtracker output
 - sguil output

Point release 0.3.5
 - merge in file tracker [nftracker]
 - feature complete compared to prads.pl
 that means:
   -sql insertion
   -better icmp
   -better udp
   -cleaner tcp fingerprinting

Point release 0.4.0
 - DNS, mDNS, passiveDNS
 - DHCP

Point release 0.5.0
 - versioned shared memory {asset,cxtracker}
 - lua?

Point release 0.6.0
 - graphical mapping
 - ARP timings

Point release BBQ
 - OMFG!#@!!!11

Point Release 1.0
 * When we are satisfied with:
   - performance
   - output
   - functionality

Point Release 2.0
 * CVE correlation on services, not in prads, but prads GUI ?

